---
# sudo dnf install autofs
# /smb    /etc/auto.truenas
# truenas -fstype=cifs,rw,uid=1000,gid=1000,credentials=/home/ducoterra/.smbpasswd ://freenas.dnet/truenas
# media -fstype=cifs,rw,uid=1000,gid=1000,credentials=/home/ducoterra/.smbpasswd ://freenas.dnet/media
- name: Install autofs
  dnf:
    name: autofs
    state: present
  become: yes
- name: Create /etc/auto.master.d/truenas.extra
  copy:
    src: files/truenas.extra
    dest: /etc/auto.master.d/truenas.extra
    owner: root
    group: root
    mode: '0755'
  become: yes
- name: Create /etc/auto.truenas
  copy:
    src: files/auto.truenas
    dest: /etc/auto.truenas
    owner: root
    group: root
    mode: '0755'
  become: yes
